
Figure - Bug #118299
【IOVDEV-28769】【内部】【VC1】【0095】【台架】【EE环境】【副屏】系统设置字体大小调节导致今日
头条页面加载刷新失败
2023-05-27 13:59 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-27

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 【中控版本号】：03.02.0080.C101����【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230517 16：27

【前提条件】：副屏上电，wifi已连接，中控已连接，功放已连接

【操作步骤】

1.打开今日头条App

2.副屏-设置-显示-字体大小调节

【实际结果】

1.系统设置字体大小调节，今日头条页面加载刷新失败

【期望结果】

1.今日头条页面内容可以实时刷新

【备注】：日志链接：https://ofs.human-horizons.com/#/download/index/VJTjUEBW1YM%3D

【当前开机次数】：

【应用版本】：今日头条：9.3.0

【硬件版本号】：

【中控版本号】：03.02.0080.C101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-27 13:59 - CDTS_Test 吴诗雨

日志正在下载中，稍后上传

#2 - 2023-05-27 14:07 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118299

#3 - 2023-05-27 14:56 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰
Hi 凯峰

帮忙检查下，这个我理解应该需要三方应用自己适配的

#4 - 2023-05-29 11:15 - CD FW-鲁凯峰

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

这个需要应用去适配

在Settings里面点击字体设置按钮后,由于今日头条没有设置字体大小变化的config,导致它会重新启动

//先干掉自己

05-14 18:02:52.606  1026  1178 I wm_relaunch_activity: [0,61709022,119,com.ss.android.article.news/.activity.MainActivity]

05-14 18:02:52.630  8791  8791 I wm_on_paused_called: [61709022,com.ss.android.article.news.activity.MainActivity,performPause]

05-14 18:02:52.670  8791  8791 I wm_on_stop_called: [61709022,com.ss.android.article.news.activity.MainActivity,handleRelaunchActivity]

05-14 18:02:52.800  8791  8791 I wm_on_destroy_called: [61709022,com.ss.android.article.news.activity.MainActivity,performDestroy]

//然后重新创建

05-14 18:02:53.074  8791  8791 I wm_on_create_called: [61709022,com.ss.android.article.news.activity.MainActivity,performCreate]

05-14 18:02:53.082  8791  8791 I wm_on_start_called: [61709022,com.ss.android.article.news.activity.MainActivity,handleStartActivity]

05-14 18:02:53.105  8791  8791 I wm_on_resume_called: [61709022,com.ss.android.article.news.activity.MainActivity,LIFECYCLER_RESUME_ACTIVITY]

//但是由于当前窗口焦点是在Settings上面,所以今日头条又进入了Pause状态

05-14 18:02:53.172  8791  8791 I wm_on_paused_called: [61709022,com.ss.android.article.news.activity.MainActivity,performPause]

这里应该是今日头条app自己做的处理,当处于onPause状态的时候,里面的内容它不显示,只有当获取窗口焦点处于onResume状态时才显示内容

这个需要今日头条app来适配处于小窗模式,当字体大小发生变化时来重新处理界面显示

#5 - 2023-05-29 14:16 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

已同步

#6 - 2023-05-29 14:16 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#7 - 2023-05-29 14:16 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-28769.zip 5.54 MB 2023-05-27 CDTS_Test 吴诗雨
